* {
	box-sizing: border-box;
}

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;

}
body{
	font-size: 12px;
	font-family: $font-family-primary;
	letter-spacing: 1px;
	line-height: 24px;
	color: $bodyText;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
h1,h2,h3,h4,h5, .h1, .h2{
	font-family: $font-family-hading;
	line-height: 1.4em;
}
h1{
	font-size: 36px;
	margin-bottom: 40px;
}
h2{
	font-size: 24px;
	text-align: center;
	margin-bottom: 40px;
}
h3{
	font-weight: 500;
	font-size: 14px;
	text-transform: uppercase;
	letter-spacing: 1px;
	margin-bottom: 30px;
	font-family: $font-family-primary;
}
.h1{
	font-size: 40px;
	margin-bottom: 40px;
}
.h2{
	font-size: $h2-font-size;
}
ol, ul {
	list-style: none;
	margin: 0;
	padding: 0;
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
a {
	display: inline-block;
	color: inherit;
	font-family: inherit;
	font-size: inherit;
	text-decoration: none;
	&:hover {
		text-decoration: none;
	}
}

a,button,input,textarea {
	&:focus {
		outline: none;
	}
}

button {
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;

	&:focus,
	&:active {
		outline: 0;
		box-shadow: 0 0 0;
	}
}


a,
button {
	transition: all 0.3s ease;
}


picture {
	display: block;
}

img {
	width: 100%;
	height: 100%;
}

//include normalize
button,
input,
optgroup,
select,
textarea {
	font-family: $font-family-primary;
}

textarea,
input[type='text'],
input[type='tel'],
input[type='email'],
input[type='button'],
input[type='submit'],
input[type='search'],
input[type='password'] {
	-webkit-appearance: none;
	appearance: none;
	border-radius: 0;
	box-shadow: 0 0 0;
	background: transparent;
	border: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
}

input[type='search']::-ms-clear {
	display: none;
	width: 0;
	height: 0;
}

input[type='search']::-ms-reveal {
	display: none;
	width: 0;
	height: 0;
}

input[type='search']::-webkit-search-decoration,
input[type='search']::-webkit-search-cancel-button,
input[type='search']::-webkit-search-results-button,
input[type='search']::-webkit-search-results-decoration {
	display: none;
}

input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
button{
	background: transparent;
	border: none;
}
strong {
	font-weight: 700;
}

%bg {
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

.container {
	margin-left: auto;
	margin-right: auto;
	width: 100%;
	max-width: 1416px;

	&-fluid {
		max-width: 100%;
	}

	&-md {
		max-width: 1116px;
	}
}

.page {
	margin-left: auto;
	margin-right: auto;
	width: 100%;
	max-width: 1920px;
	
	> svg {
		display: none;
	}
}


.text {
	&-left {
		text-align: left;
	}

	&-right {
		text-align: right;
	}

	&-center {
		text-align: center;
	}
}


.align-items {
	&-center {
		align-items: center;
	}

	&-start {
		align-items: flex-start;
	}

	&-end {
		align-items: end;
	}
}

.justify-content {
	&-center {
		justify-content: center;
	}

	&-between {
		justify-content: space-between;
	}
}

//Flex
.flex {
	&-wrap {
		flex-wrap: wrap;
	}

	&-column {
		flex-direction: column;
	}

	&-row {
		flex-direction: row;
	}
}

.object-cover {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
.uppercase{
	text-transform: uppercase;
}
.section_subtitle{
	font-size: 14px;
}
.btn {
	padding: 10px 20px;
	//height: rem(54px);
	transition: all 0.2s ease-in-out;
	text-transform: uppercase;
	border: 1px solid transparent;
	text-align: center;
	font-weight: 700;
	letter-spacing: 1.5px;
	line-height: 22px;
	font-size: 12px;
	margin-top: 30px;
	&_primary_light {
		color: $black;
		background-color: white;
	}
	&_primary_dark {
		background-color: $black;
		color: white;
	}
	&_solid{
		border-color: $primary;
		display: flex;
	}
}
.pdd-20{
	padding: 0 20px;
}
.border-btt{
	padding-bottom: 40px;
	border-bottom: 2px solid $gray;
}
.hero_banner{
	position: relative;
	max-height: 620px;
	overflow: hidden;
	margin-bottom: 70px;
	picture{
		height: 100%;
	}
	&_container{
		position: absolute;
		width: 1415px;
		left: 50%;
		top: 50%;
		transform: translate(-50%, -50%);
		padding: 0 170px;

	}
	&-content{
		width: 40%;

	}
}
.button_icon{
	width: 15px;
	height: auto;
	margin-right: 10px;

}
.txt-col-white{
	color: white;
}
.txt-col-primary{
	color: $primary;
}
.float-right{
	margin-left: auto;
}
.float-left{
	margin-right: auto;
}
.breadcrumb-nav__item{
	font-size: 10px;
	font-weight: 500;
	letter-spacing: 1.2px;
	color: $secondary;
	text-transform: uppercase;
	margin: 20px 0;
}
@each $brkpoint, $value in $media-break-points {
	@if $brkpoint == 'xs' {
		.w-35 {
			width: 35%;
		}

		.w-100 {
			width: 100%;
		}
		.btt-40{
			bottom: 40px;
		}
		.btt-60{
			bottom: 60px;
		}
		.w-unset {
			width: unset;
		}

		.w-auto {
			width: auto;
		}

		.d-none {
			display: none !important;
		}

		.d-block {
			display: block !important;
		}

		.d-flex {
			display: flex;
			@include media-breakpoint-down(md) {
				flex-direction: column;
			}
		}
		.flex-half{
			flex-basis: 48%;
		}
		.flex-third{
			flex-basis: 32%;
		}
		.flex-forth{
			flex-basis: 24.5%;
		}
		.d-inline-flex {
			display: inline-flex !important;
		}

		.d-inline-block {
			display: inline-block !important;
		}

		.d-grid {
			display: grid !important;
		}
		.flex-column{
			flex-direction: column;
		}
		.flex-row{
			flex-direction: row;
		}
		.flex-row-reverse{
			flex-direction: row-reverse;
		}

		.justify-content-start {
			justify-content: flex-start;
		}

		.justify-content-end {
			justify-content: flex-end
		}

		.justify-content-center {
			justify-content: center;
		}

		.justify-content-between {
			justify-content: space-between;
		}

		.justify-content-around {
			justify-content: space-around;
		}

		.align-items-start {
			justify-content: flex-start;
		}

		.align-items-end {
			justify-content: flex-end
		}

		.align-items-center {
			align-items: center;
			@include media-breakpoint-down(md) {
				align-items: flex-start;
			}
		}

	} @else {
		@include media-breakpoint-up($brkpoint) {

			.w-#{$brkpoint}-50 {
				width: 50%;
			}

			.w-#{$brkpoint}-100 {
				width: 100%;
			}

			.w-#{$brkpoint}-unset {
				width: unset;
			}

			.w-#{$brkpoint}-auto {
				width: auto;
			}

			.d-#{$brkpoint}-none {
				display: none !important;
			}

			.d-#{$brkpoint}-block {
				display: block !important;
			}

			.d-#{$brkpoint}-flex {
				display: flex !important;
			}

			.d-#{$brkpoint}-grid {
				display: grid;
			}

			.justify-content-#{$brkpoint}-start {
				justify-content: flex-start;
			}

			.justify-content-#{$brkpoint}-end {
				justify-content: flex-end
			}

			.justify-content-#{$brkpoint}-center {
				justify-content: center;
			}

			.justify-content-#{$brkpoint}-between {
				justify-content: space-between;
			}

			.align-items-#{$brkpoint}-start {
				justify-content: flex-start;
			}

			.align-items-#{$brkpoint}-end {
				justify-content: flex-end
			}

			.align-items-#{$brkpoint}-center {
				justify-content: center;
			}
		}
	}
}



